Chybové hlášky cronu po aktualizaci ClamAV na verzi 0.98.5

Po aktualizaci antiviru ClamAV na verzi 0.98.5 se v denních výpisech cronu začaly objevovat chybové hlášky o nekorektním porovnání čísla verze PERLu


Chybové hlášky cronu po aktualizaci ClamAV na verzi 0.98.5 Štítky:  , EU,

    Po aktualizaci antiviru ClamAV na verzi 0.98.5 se v chybových výpisech cronu začaly objevovat hlášky, které informují o nekorektním porovnání verze PERLu při zpracování/kompilaci pravidel antispamu (SpamAssassin).

...
Argument "perl_version" isn't numeric in numeric ge (>=) at (eval 521) line 1.
Argument "perl_version" isn't numeric in numeric ge (>=) at (eval 1014) line 1.
...



Stejné chybové hlášky se objevují při ručním spuštění skriptu

su debian-spamd -c '/usr/bin/sa-compile'
...
Argument "perl_version" isn't numeric in numeric ge (>=) at (eval 521) line 1.
Argument "perl_version" isn't numeric in numeric ge (>=) at (eval 1014) line 1.
Argument "perl_version" isn't numeric in numeric ge (>=) at (eval 526) line 1.
Argument "perl_version" isn't numeric in numeric ge (>=) at (eval 1019) line 1.
...


Po chvíli googlení jsem v SVN Apache [1] našel patch, který tuto chybu opravuje.

cd /tmp
wget "http://svn.apache.org/viewvc/spamassassin/trunk/lib/Mail/SpamAssassin/Conf/Parser.pm?r1=1642207&r2=1642206&pathrev=1642207&view=patch" -O parser.pm.patch
wget "http://svn.apache.org/viewvc/spamassassin/trunk/lib/Mail/SpamAssassin/Conf.pm?r1=1642207&r2=1642206&pathrev=1642207&view=patch" -O conf.pm.patch
patch /usr/share/perl5/Mail/SpamAssassin/Conf/Parser.pm < parser.pm.patch
patch /usr/share/perl5/Mail/SpamAssassin/Conf.pm < conf.pm.patch


Odkazy
[1] - [Apache-SVN] Revision 1642207,[online],,[cit. 2014-11-30]. Dostupný na www: <http://svn.apache.org/viewvc?view=revision&revision=1642207>
;  
Vaše názory a komentáře: 1 ;  Zobrazeno: 2250 x ;  Hodnoceno: 2 x ;  Hodnocení článku : Hodnocení článku:100%

Hodnocení článku: 1 2 3 4 5

Vaše názory a komentáře (1)
Petr KLOSKO
#264: 05.12.2014 ; 20:15:36
Dnešní aktualizace SpamAssassina (3.3.2-5+deb7u2) z repozitářů Debianu tuto chybu opravuje.
 

Přidat komentář
Jméno
E-Mail
Zadejte pátou čísici z čísla Zadejte pátou čísici z čísla
Pokud očekáváte odpověď na Vámi vložený komentář, zadejte Váš e-mail.
Vložením komentáře souhlasíte s pravidly.


 
 Reklama: